Relatório de números

GET
/v1/reports/numbers

Números de WhatsApp: mensagens por número e por que envios falharam. period é today, 7d, 30d (padrão), 90d ou custom com from e to.

Escopo: numbers:read

Autorização

bearer numbers:read
headerAutorizaçãoBearer <token>

A chave de API de uma conta de serviço (sk_live_…, 600 requisições por minuto cada) ou um access token OAuth para o recurso /api/v1 (600 requisições por minuto por conexão).

Escopo: numbers:read

period?string
Valor em"today""7d""30d""90d""custom"
from?string

YYYY-MM-DD, with period custom.

Padrão^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatodate
to?string

YYYY-MM-DD, with period custom.

Padrão^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatodate
number?string

A number's id, from list_numbers.

Tamanho1 <= length <= 100
team?string

A team's id, from list_teams.

Tamanho1 <= length <= 100
agent?string

A member's id, from list_members.

Tamanho1 <= length <= 100
automation?string
Tamanho1 <= length <= 100
campaign?string
Tamanho1 <= length <= 100
pipeline?string
Tamanho1 <= length <= 100
origin?string
Valor em"direct""form""import""campaign""team"

Corpo da resposta

Feito.

application/json
  1. response
workspace*string
range*
now*string
Formatodate-time
time_zone*string
attempted*integer
Intervalo-9007199254740991 <= value <= 9007199254740991
delivered*integer
Intervalo-9007199254740991 <= value <= 9007199254740991
lost*integer
Intervalo-9007199254740991 <= value <= 9007199254740991
reasons*
numbers*array<>
days*array<>
Exemplo de requisição
curl -X GET 'https://app.zaplin.com.br/api/v1/reports/numbers' \  -H 'Authorization: Bearer sk_live_...'
Exemplo de resposta
{  "workspace": "string",  "range": {    "from": "2026-10-17",    "to": "2026-10-17",    "days": 0,    "previous": {      "from": "2026-10-17",      "to": "2026-10-17"    }  },  "now": "2026-10-17T12:00:00.000Z",  "time_zone": "string",  "attempted": 0,  "delivered": 0,  "lost": 0,  "reasons": {    "no_whatsapp": 0,    "no_recipient": 0,    "throttled": 0,    "out_of_window": 0  },  "numbers": [    {      "id": "string",      "name": "string",      "status": "string",      "disconnected_at": "2026-10-17T12:00:00.000Z",      "attempted": 0,      "delivered": 0,      "days": [        0      ]    }  ],  "days": [    "2026-10-17"  ]}